package org.notredame.cse40333;

import android.os.Bundle;
import android.preference.Preference;
import android.preference.Preference.OnPreferenceClickListener;
import android.preference.PreferenceActivity;
import android.widget.Toast;

public class PrefExample extends PreferenceActivity {
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		addPreferencesFromResource(R.xml.preferences);

		// Get the custom preference
		Preference customPref = (Preference) findPreference("customPref");
		customPref.setOnPreferenceClickListener(new OnPreferenceClickListener() {
			
				public boolean onPreferenceClick(Preference preference) {
					Toast.makeText(getBaseContext(),
								"The custom preference has been clicked",
								Toast.LENGTH_LONG).show();
					return true;
				}

		});
	}

}
